Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class XercesProfileFactory.DefaultErrorHandler

    java.lang.Object
      |
      +--jpos.profile.XercesProfileFactory.DefaultErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  XercesProfileFactory

class XercesProfileFactory.DefaultErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

ErrorHandler inner class used to capture errors while parsing XML document

Since:
  1.3 (Washington DC 2001 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Constructor Summary
`(package private)` | `XercesProfileFactory.DefaultErrorHandler()`

Method Summary
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`(package private) java.util.List` | `getErrorList()`
`(package private) java.util.List` | `getFatalErrorList()`
`(package private) java.util.List` | `getWarningList()`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XercesProfileFactory.DefaultErrorHandler

    XercesProfileFactory.DefaultErrorHandler()

Method Detail

### getErrorList

    java.util.List getErrorList()

### getWarningList

    java.util.List getWarningList()

### getFatalErrorList

    java.util.List getFatalErrorList()

### warning

    public void warning(org.xml.sax.SAXParseException e)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException e)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details